<?php
ob_start();
define('MTOP', 1);
require_once ('system/connect.php');
require_once ('system/core.php');
require_once ('system/function.php');
reg();
$mod = isset($_GET['mod']) ? (string)$_GET['mod'] : '';
switch($act){
default:
$title = 'Мой кабинет';
require_once ('head.php');
$platforms = mysql_num_rows(mysql_query("SELECT * FROM `sait` WHERE `id_user` = '".$user_data['id']."'"));
echo '<div class="title2">Кабинет</div>';
if($user_data['level'] == 3) {
echo '<div class="main"><a class="link-buttoms" href="/admin/"><img src="/images/key.png" alt="*"> Админ панель</a></div>';
}
echo '<div class="main"> 
<a class="link-buttoms" href="/user/'.$user_data['id'].'"><img src="/images/man-avatar.png" alt="profile"> Мой профиль</a>
<p><a class="link-buttoms" href="/m/office/platforms"><img src="/images/earth-white.png" alt="mysites"> Мои площадки</a> <span class="bcount">'.$platforms.' / '.$set['max_platforms'].'</span></p>
<p><a class="link-buttoms" href="/exit"><img  src="'.$HOME.'/images/home-icon-silhouette.png"/> Выйти из аккаунта</a></p></div>';
break;
case 'platforms':
$title = 'Площадки';
require_once ('head.php');
$platforms = mysql_num_rows(mysql_query("SELECT * FROM `sait` WHERE `id_user` = '".$user_data['id']."'"));
echo '<div class="title2">Мои площадки</div>';



echo '<div class="lt">
<div class="nprogress-bar">Всего площадок '.$platforms.' из '.$set['max_platforms'].'</div> <div class="progress-bar blue stripes">
    <span style="width: '.($platforms * 10).'%"></span>
	</div>

<p><a class="link-buttoms" href="/m/office/addPlatform"><img src="'.$HOME.'/images/addition-sign.png" alt="*"> Добавить площадку</a></p></div>';

$platform = mysql_query("SELECT * FROM `sait` WHERE `id_user` = '".$user_data['id']."'");
$platforms = mysql_num_rows($platform);
if($platforms == 0){
echo '<div class="main"><center>У вас нет площадок</center></div>';
}
else{
$total=intval(($platforms-1)/$page_platforms)+1;
$page=abs(intval($_GET['page']));
if(empty($page) OR $page < 0) $page = 1;
if($page > $total) $page = $total;
$past=intval($platforms/$page_platforms);
$start=$page*$page_platforms-$page_platforms;
$platform = mysql_query("SELECT * FROM `sait` WHERE `id_user` = '".$user_data['id']."' ORDER BY `id` DESC LIMIT ".$start.",".$page_platforms."");
while($row = mysql_fetch_array($platform))
{
$status = $row['status'] == 1 ? '<span class="SetOfGood"><img src="'.$HOME.'/images/expand-button.png" alt="*"> Активен</span>' : '<font color="red">На проверке</font>';
$start++;
echo '<div class="stat"><a  href="/out/'.$row['id'].'"><strong style="text-transform: uppercase;">'.$row['url'].'</strong></a> <b>ID: '.$row['id'].'</b>  '.$status.' <a class="link-buttoms" href="/stats/'.$row['id'].'"> <img src="'.$HOME.'/images/increasing-chart.png" alt="*"></a> 
<div class="vh1"></div>
 <div class="vh2">'.$row['about'].'</div>
<p>
<a class="link-buttoms" href="/m/office/editPlatform/'.$row['id'].'">Редактировать</a> 
<a class="link-buttoms" href="/m/office/code/'.$row['id'].'"> Счетчик</a>
 '. ($row['vip'] < time() ? ' <a class="link-buttoms" href="/vip/pay/'.$row['id'].'"> Купить VIP</a><span class="bcount">7 руб/день</span>':' <img src="'.$HOME.'/images/crown.png" alt="*"> <b><font color="#9038c8">VIP</font></b> до '.data($row['vip']).'')  .'
 </p>
 </div>';
}

navigation($platforms,$page_platforms,$page,'m/office/platforms?sort='.$sort.'&',$total);
}

break;
case 'add_platform':
$title = 'Мой кабинет';
require_once ('head.php');
echo '<div class="title2">Добавление сайта</div>';
$platform = mysql_query("SELECT * FROM `sait` WHERE `id_user` = '".$user_data['id']."'");
$platforms = mysql_num_rows($platform);
if($platforms >= $set['max_platforms']){
echo '<div class="main"><center>Достигнут лимит площадок</center></div>';
}
else{
$dobavsait .= '<div class="lt"><div style="color: black;"><b><font color="red">Внимание:</font></b><br/>
Категорически запрещена накрутка и/или скрытие счётчика с помощью значения <u>display:none</u> или <u>opacity</u>. 
Модерация длится от 5 минут до 12 часов, иногда и больше. 
Пожалуйста, не используйте ВЕРХНИЙ РЕГИСТР в описании, если вы не сможете найти категорию под вашу тематику, выберите более подходящую, старайтесь не допускать ошибок - это усложняет работу модератора.
Мы постараемся промодерировать ваш сайт как можно скорее - обычно это не занимает много времени.</div></div>';
$dobavsait .= '<div class="main"><form action="" method="post">
URL сайта (без http:// и т.п) [max. 35]:<br/>
<input type="text"  class="input" name="url" maxlength="35" value="" /><br/>
Описание сайта [max. 80]:<br/>
<textarea name="about" cols="38" rows="8" maxlength="80"></textarea></br>
Категория:<br/>
<select name="cat">';
$cats = mysql_query("SELECT * FROM `cat` ORDER BY `id` ASC");
if(mysql_num_rows($cats) > 0) while($cat = mysql_fetch_assoc($cats)) $dobavsait .= '<option value="'.$cat['id'].'">'.$cat['name'].'</option>';
$dobavsait .= '</select><br />
<b>Для главной страницы сайта: *</b><br/>
<input type="radio" name="image" checked="checked" value="1"> <img src="/images/big/1.gif" alt=""><br/>
<input type="radio" name="image" value="2"> <img src="/images/big/2.gif" alt=""><br/>
<input type="radio" name="image" value="3"> <img src="/images/big/3.gif" alt=""><br/>
<input type="radio" name="image" value="4"> <img src="/images/big/4.gif" alt=""><br/>
<input type="radio" name="image" value="5"> <img src="/images/big/5.gif" alt=""><br/>
<input type="radio" name="image" value="6"> <img src="/images/big/6.gif" alt=""><br/>
<input type="radio" name="image" value="7"> <img src="/images/big/7.gif" alt=""><br/>
<input type="radio" name="image" value="8"> <img src="/images/big/8.gif" alt=""><br/>
<input type="radio" name="image" value="9"> <img src="/images/big/9.gif" alt=""><br/>
<input type="radio" name="image" value="10"> <img src="/images/big/10.gif" alt=""><br/>
<input type="radio" name="image" value="1"> <img src="/images/big/11.gif" alt=""><br/>
<hr />
<b>Для остальных страниц сайта: *</b><br/>
<input type="radio" name="image_s" checked="checked" value="1"> <img src="/images/small/1.gif" alt=""><br/>
<input type="radio" name="image_s" value="2"> <img src="/images/small/2.gif" alt=""><br/>
<input type="radio" name="image_s" value="3"> <img src="/images/small/3.gif" alt=""><br/>
<input type="radio" name="image_s" value="4"> <img src="/images/small/4.gif" alt=""><br/>
<input type="radio" name="image_s" value="5"> <img src="/images/small/5.gif" alt=""><br/>
<input type="radio" name="image_s" value="6"> <img src="/images/small/6.gif" alt=""><br/>
<input type="radio" name="image_s" value="7"> <img src="/images/small/7.gif" alt=""><br/>
<input type="radio" name="image_s" value="8"> <img src="/images/small/8.gif" alt=""><br/>
<input type="radio" name="image_s" value="9"> <img src="/images/small/9.gif" alt=""><br/>
<input type="radio" name="image_s" value="10"> <img src="/images/small/10.gif" alt=""><br/>
<input type="radio" name="image_s" value="11"> <img src="/images/small/11.gif" alt=""><br/>
<br />

<u>- Если Вы не нашли подходящий цвет счетчика, Вы можете <a href="/newcolor.php">оставить заявку</a> с кодом цвета и в течении 12 часов с момента подачи заявки счетчик появиться у Вас в списке.</u><br />
<br /><input name="skrit" type="checkbox" value="1"> Скрыть статистику<br /></br>

<input name="ok" type="submit" value="Добавить"/></form><br />
* - Все поля обязательные к заполнению.<br />
** - Описание сайта должно быть адекватное, иначе модерация будет отклонена!

</div>';
if(!isset($_POST['ok'])) echo $dobavsait;
else{
$platform = mysql_query("SELECT * FROM `sait` WHERE `id_user` = '".$user_data['id']."'");
$platforms_count = mysql_num_rows($platform);
$url = filter($_POST['url']);
$url = str_replace("http://","",$url);
$url = str_replace("https://","",$url);
$about = filter($_POST['about']);
$cat = intval($_POST['cat']);
$skrit =(isset($_POST['skrit']))? 1 : 0;
$image = filter($_POST['image']);
$image_s = filter($_POST['image_s']);
$error = '';
$isset_cat = mysql_num_rows(mysql_query("SELECT `id` FROM `cat` WHERE `id` = '".$cat."'"));
if(empty($url)  OR empty($about) OR empty($cat) OR empty($image) OR empty($image_s)) $error .= '<div class="error">Незаполнено одно или несколько полей</div>';
else{
if($image < 1 OR $image > 11) $error .= '<div class="error">Нет такого счетчика</div>';
if($image_s < 1 OR $image_s > 11) $error .= '<div class="error">Нет такого счетчика</div>';
if($isset_cat == 0)
$error .= '<div class="error">Нет такой категории</div>';
if(mb_strlen($about) > 80 OR mb_strlen($about) < 5)
$error .= '<div class="error">Длина описания должна быть не короче 50 и не длиннее 80 символов</div>';
if(mb_strlen($url) > 35 OR mb_strlen($url) < 3)
$error .= '<div class="error">Длина адреса должна быть не короче 3 и не длиннее 35 символов</div>';
if (mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `url` = '".$url."' LIMIT 1")) != 0)
$error .= '<div class="error">Такой сайт уже есть в базе</div>';
}
if(!empty($error)){
echo $error;
echo $dobavsait;
}
else{
$insert_platform = mysql_query("INSERT INTO `sait` SET `id_user` = '".$user_data['id']."',  `about` = '".$about."', `skrit` = '".$skrit."', `category` = '".$cat."', `url` = '".$url."', `image` = '".$image."', `image_s` = '".$image_s."',`status` = '".$set['moderacia']."', `time_reg` = '".time()."'");
if($insert_platform){
$plosh = mysql_fetch_array(mysql_query("SELECT * FROM `sait` WHERE `url` = '".$url."'"));
echo '<div class="main"><b><font color="green">Сайт успешно добавлен и отправлен на проверку.</font></b><br />
Пожалуйста, установите счётчик!<br />
Модерация длится от 5 минут до 12 часов.<br />
<a href="/m/office/platforms">К площадкам</a></div>';
}
else{
echo '<div class="error">Площадка не добавлена</div>';
echo $dobavsait;
}
}
}
}
break;
case 'edit_platform':
$title = 'Редактирование площадки';
require_once ('head.php');
echo '<div class="title2">Редактирование сайта</div>';
$platform = mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1");
$platform_count = mysql_num_rows($platform);
$user_platform = mysql_fetch_array($platform);
$redsait = '';
$redsait .= '<div class="main">
<form action="" method="post">
Описание сайта [max. 80]:<br/>
<textarea name="about" cols="38" rows="8" maxlength="80">'.$user_platform['about'].'</textarea><br/>
Категория:<br/>
<select name="cat">';
$cats = mysql_query("SELECT * FROM `cat` ORDER BY `id` ASC");
if(mysql_num_rows($cats) > 0){
while($cat = mysql_fetch_assoc($cats)){
$selected = ($user_platform['category'] == $cat['id']) ? ' selected="selected"' : '';
$redsait .= '<option value="'.$cat['id'].'"'.$selected.'>'.$cat['name'].'</option>';
}
$redsait .= '</select><br /><br />';
$redsait .= '<b>Для главной страницы сайта: *</b><br/>';
$redsait .= '';
for ($big=0; $big++<11;){
if ($user_platform['image'] == $big)
$redsait .= '<input type="radio" name="image" value="'.$big.'" checked="checked"> <img src="/images/big/'.$big.'.gif" alt=""><br/>';
else $redsait .= '<input type="radio" name="image" value="'.$big.'"> <img src="/images/big/'.$big.'.gif" alt=""><br/>';
}
$redsait .= '<hr /><b>Для остальных страниц сайта: *</b><br/>';
for ($small=0; $small++<11;){
if ($user_platform['image_s'] == $small)
$redsait .= '<input type="radio" name="image_s" value="'.$small.'" checked="checked"> <img src="/images/small/'.$small.'.gif" alt=""><br/>';
else $redsait .= '<input type="radio" name="image_s" value="'.$small.'"> <img src="/images/small/'.$small.'.gif" alt=""><br/>';
}
if($user_platform['skrit'] == 1) $cheked = 'checked="checked"';
$redsait .= '<br/><input name="skrit" type="checkbox" '.$cheked.' value="'.$user_platform['skrit'].'"> Скрыть статистику<br /></br> * - Все поля обязательные к заполнению<br /><br /><u>- Если Вы не нашли подходящий цвет счетчика, Вы можете <a href="/newcolor.php">оставить заявку</a> с кодом цвета и в течении 12 часов с момента подачи заявки счетчик появиться у Вас в списке.</u><br /><br />
<input name="ok" type="submit" value="Изменить" /></div></form>';
}
else{
$redsait .= '<div class="error">Данной площадки не существует</div>';
$redsait .= '';
}

if(!isset($_POST['ok'])) echo $redsait;
else{
$cat = intval($_POST['cat']);
$image = filter($_POST['image']);
$image_s = filter($_POST['image_s']);
$skrit =(isset($_POST['skrit']))? 1 : 0;
$about = filter($_POST['about']);
$platform_isset = mysql_num_rows(mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1"));
$error = '';
$isset_cat = mysql_num_rows(mysql_query("SELECT `id` FROM `cat` WHERE `id` = '".$cat."'"));
if(empty($cat) OR empty($image) OR empty($image_s) OR empty($about))
$error .= '<div class="error">Не заполнено одно или несколько полей</div>';
else{
if($image < 1 OR $image > 11) $error .= '<div class="error">Нет такого счетчика</div>';
if($image_s < 1 OR $image_s > 11) $error .= '<div class="error">Нет такого счетчика</div>';
if($isset_cat == 0)
$error .= '<div class="error">Нет такой категории</div>';
if($platform_isset == 0)
$error .= '<div class="error">У вас нет такой площадки</div>';
if(mb_strlen($about) > 80 OR mb_strlen($about) < 5)
$error .= '<div class="error">Длина описания должна быть не короче 5 и не длиннее 80символов</div>';
}
if(!empty($error)){
echo $error;
echo $redsait;
}
else{
$update_platform = mysql_query("UPDATE `sait` SET `category` = '".$cat."', `image` = '".$image."', `image_s` = '".$image_s."', `skrit` = '".$skrit."', `status` = '0', `about` = '".$about."' WHERE `id` = '".$id."'");
if($update_platform){
echo '<div class="main">Сайт успешно отредактирован и отправлен на модерацию<br />
На время проверки, ваш сайт не будет отображаться в топе!<br /><a href="/m/office/platforms">К площадкам</a></div>';
}
else {
echo '<div class="error">Площадка не отредактирована</div>';
echo $redsait;
}
}
}
break;
case 'code':
$title = 'Код счетчика';
require_once ('head.php');
if($id == null) $idplosh = 'ID_ПЛОЩАДКИ'; else $idplosh = $id;
echo '<div class="title2">HTML-код , для установки на сайте</div>';
echo '<div class="main">Код счётчика для главной страницы [ID площадки: '.$idplosh.']:
<br /><br />
Пример: <a href="'.$HOME.'/go/'.$idplosh.'"><img src="'.$HOME.'/image/1" alt="ioav.ru - Топ рейтинг сайтов"></a><br /><br />
<strong>&lt;a href="'.$HOME.'/go/'.$idplosh.'">&lt;img src="'.$HOME.'/image/'.$idplosh.'" alt="Ioav.Ru - Топ рейтинг сайтов" />&lt;/a><br/><br /></strong>
<input type="text" name="" maxlength="200" class="do_button" value="&lt;a href=&quot;'.$HOME.'/go/'.$idplosh.'&quot;&gt;&lt;img src=&quot;'.$HOME.'/image/'.$idplosh.'&quot; alt=&quot;IOAV.Ru - Топ рейтинг сайтов&quot; /&gt;&lt;/a&gt;"/><br />
<hr />
Код счётчика для остальных страниц [ID площадки: '.$idplosh.']:<br /><br />
Пример: <a href="'.$HOME.'/go/'.$idplosh.'"><img src="'.$HOME.'/imageOther/1" alt="ioav.ru - Топ рейтинг сайтов"></a> <br /><br />
<strong>&lt;a href="'.$HOME.'/go/'.$idplosh.'">&lt;img src="'.$HOME.'/imageOther/'.$idplosh.'" alt="Ioav.Ru - Топ рейтинг сайтов" />&lt;/a><br/><br /></strong>
<input type="text" name="" maxlength="200" class="do_button" value="&lt;a href=&quot;'.$HOME.'/go/'.$idplosh.'&quot;&gt;&lt;img src=&quot;'.$HOME.'/imageOther/'.$idplosh.'&quot; alt=&quot;IOAV.Ru - Топ рейтинг сайтов&quot; /&gt;&lt;/a&gt;"/><br />';
echo '</div><div class="main"><a href="/m/office">Вернуться в кабинет</a></div>';



break;
}
require_once ('foot.php');
?>